Skip to content
You're viewing documentation for v2026.11.8-beta. It may be out of date.Go to latest
TimescaleDB Enterprise
Esc
↑↓navigate↵open⌘Jpreview

Request a trial

Request a trial and send a code to the email.

POST/api/v1/license/trial
Authorization
tse_sessionAPI key · cookierequired
Request body
requiredapplication/json
companystringrequired

Company name

emailstringrequired

Work email. The trial service sends the code to it

first_namestringrequired

Contact first name

last_namestringrequired

Contact last name

Responses
202

Accepted

expires_atstring<date-time>required

The time when the code stops working

request_idstringrequired

The id of the trial request. Send it with the code

default

Error

codestring

Stable code of the refusal, when the route has codes

detailsstring[]

Additional detail, e.g. per-field validation failures

errorstringrequired

Human-readable error message

Request
curl -X POST 'https://console.example.com/api/v1/license/trial' \
  -H 'Cookie: tse_session=YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "company": "string",
  "email": "string",
  "first_name": "string",
  "last_name": "string"
}'
Response
{
  "expires_at": "2019-08-24T14:15:22Z",
  "request_id": "string"
}